<script setup lang="ts">
import ChansonTable from '@/components/ChansonTable.vue'
</script>

<template>
  <div class="m-4 text-center flex flex-col gap-3">
    <div class="text-3xl text-center">Mes titres</div>
    <div>Voici vos titres sur MyBlindTest.</div>
    <div class="flex flex-row gap-3 justify-center">
      <div class="tooltip" data-tip="A implémenter">
        <!-- TODO importer une chanson depuis Deezer -->
        <div class="btn btn-secondary">Importer une chanson depuis Deezer</div>
      </div>
      <div class="tooltip" data-tip="A implémenter">
        <!-- TODO importer une chanson depuis l'appareil -->
        <div class="btn btn-secondary">Importer un morceau depuis votre appareil</div>
      </div>
    </div>
    <div class="mt-6 overflow-x-auto min-[600px]:overflow-x-visible">
      <ChansonTable />
    </div>
  </div>
</template>
